emerge postfix fails configure problem [Solved]

Anything that pertains to Portage

Moderator: Moderators

emerge postfix fails configure problem [Solved]

Postby elefant23 » Tue Apr 14, 2009 11:27

Dear Everyone on the Forum.

Just like the subject shows, emerge postfix-2.5.6 fails, and portage says it is due to configure problem.
The build log is the following.
Code: Select all
>>> Unpacking source...
>>> Unpacking postfix-2.5.6.tar.gz to /var/tmp/portage/mail-mta/postfix-2.5.6/wo
rk
>>> Source unpacked in /var/tmp/portage/mail-mta/postfix-2.5.6/work
>>> Compiling source in /var/tmp/portage/mail-mta/postfix-2.5.6/work/postfix-2.5
.6 ...
 * CC=x86_64-pc-linux-gnu-gcc
make -f Makefile.in MAKELEVEL= Makefiles
(echo "# Do not edit -- this file documents how Postfix was built for your machi
ne."; /bin/sh makedefs) >makedefs.tmpNo <db.h> include file found.
Install the appropriate db*-devel package first.
See the RELEASE_NOTES file for more information.
make: *** [Makefiles] Error 1
make: *** [makefiles] Error 2
 *  * ERROR: mail-mta/postfix-2.5.6 failed.
 * Call stack: *               ebuild.sh, line   48:  Called src_compile
 *             environment, line 2952:  Called die * The specific snippet of code:
 *       make DEBUG="" CC="${my_cc:=gcc}" OPT="${CFLAGS}" CCARGS="${mycc}" AUXLIBS="${mylibs}" makefiles || die "configure problem";
 *  The die message:
 *   configure problem
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/lib/entropy/logs/mail-mta:postfix-2.5.6:20090414-095906.log'.
 * The ebuild environment file is located at '/var/tmp/portage/mail-mta/postfix-2.5.6/temp/environment'.


Same thing happens when I tried to emerge postfix-2.5.5 and postfix-2.4.10.
I appreciate any helps / suggestions / pointers are welcomed!
Thank you very much in advance.
elefant23
Baby Hen
 
Posts: 11
Joined: Fri Dec 19, 2008 16:25
Location: Yokohama, Japan

Re: emerge postfix fails configure problem

Postby elefant23 » Tue Apr 14, 2009 12:40

Self reply.
Somehow,
Code: Select all
emerge -v "=mail-mta/postfix-2.5.5"

worked now and succeeded in installing postfix.
I don't know why the command did not work previously. (I also got "configure problem" as well)
I've installed some packages listed in "emerge -uDNpv system", and that probably solved the problem that I didn't even recognize.
Anyhow, thanks everyone!
elefant23
Baby Hen
 
Posts: 11
Joined: Fri Dec 19, 2008 16:25
Location: Yokohama, Japan


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest